
--[[

	HubPortier_0.1_LUA5_by_pulsar

	Version: Luadch LUA 5.1x

		- Das Script sendet eine Willkommens-/Abschiedsnachricht an die User

]]--



--------------------------------------------------
--[SETTINGS]--------------------------------------
--------------------------------------------------

PortierLogin = {	-- Nachricht die beim Login an alle User geschickt wird

		[ 0 ] = "ist wieder da...",  --> UNREG
		[ 10 ] = "ist wieder da...",  --> GAST
		[ 20 ] = "ist wieder da...",  --> REG
		[ 30 ] = "ist wieder da...",  --> VIP
		[ 40 ] = "ist wieder da...",  --> SVIP
		[ 50 ] = "ist wieder da...",  --> VERTEILER
		[ 60 ] = "ist wieder da...",  --> OPERATOR
		[ 70 ] = "ist wieder da...",  --> SUPERVISOR
		[ 80 ] = "ist wieder da...",  --> ADMIN
		[ 100 ] = "ist wieder da...",  --> MASTER
}

PortierLogout = {	-- Nachricht die beim Logout an alle User geschickt wird

		[ 0 ] = "verkrümelt sich jetzt...",  --> UNREG
		[ 10 ] = "verkrümelt sich jetzt...",  --> GAST
		[ 20 ] = "verkrümelt sich jetzt...",  --> REG
		[ 30 ] = "verkrümelt sich jetzt...",  --> VIP
		[ 40 ] = "verkrümelt sich jetzt...",  --> SVIP
		[ 50 ] = "verkrümelt sich jetzt...",  --> VERTEILER
		[ 60 ] = "verkrümelt sich jetzt...",  --> OPERATOR
		[ 70 ] = "verkrümelt sich jetzt...",  --> SUPERVISOR
		[ 80 ] = "verkrümelt sich jetzt...",  --> ADMIN
		[ 100 ] = "verkrümelt sich jetzt...",  --> MASTER
}

PortierUserLogin = {	-- Nachricht die beim Login an den User selbst geschickt wird

		[ 0 ] = "schön das du wieder hier bist...",  --> UNREG
		[ 10 ] = "schön das du wieder hier bist...",  --> GAST
		[ 20 ] = "schön das du wieder hier bist...",  --> REG
		[ 30 ] = "schön das du wieder hier bist...",  --> VIP
		[ 40 ] = "schön das du wieder hier bist...",  --> SVIP
		[ 50 ] = "schön das du wieder hier bist...",  --> VERTEILER
		[ 60 ] = "schön das du wieder hier bist...",  --> OPERATOR
		[ 70 ] = "schön das du wieder hier bist...",  --> SUPERVISOR
		[ 80 ] = "schön das du wieder hier bist...",  --> ADMIN
		[ 100 ] = "schön das du wieder hier bist...",  --> MASTER
}

LevelName = {

		[ 0 ] = "UNREG",
		[ 10 ] = "GAST",
		[ 20 ] = "REG",
		[ 30 ] = "VIP",
		[ 40 ] = "SVIP",
		[ 50 ] = "VERTEILER",
		[ 60 ] = "OPERATOR",
		[ 70 ] = "SUPERVISOR",
		[ 80 ] = "ADMIN",
		[ 100 ] = "MASTER",
}

--------------------------------------------------
--[CODE]------------------------------------------
--------------------------------------------------

hub:setListener("onLogin", {},
	function(p)
		local usernick = hub:escapeFrom( p.user:getNick() )
		local Prof = LevelName[ p.user:getLevel() ] or "unbekannt"
		local ProfNr = p.user:getLevel()
		txt = PortierLogin[ProfNr]
		txt2 = PortierUserLogin[ProfNr]
		hub:broadcast{ msg = "*** Der "..Prof.." "..usernick.." "..txt.."", from = hub:getBot() }
		p.user:reply{ msg = "*** Willkommen "..Prof.." "..usernick.." "..txt2.."", from = hub:getBot() }
	end
)

hub:setListener("onLogout", {},
	function(p)
		local usernick = hub:escapeFrom( p.user:getNick() )
		local Prof = LevelName[ p.user:getLevel() ] or "unbekannt"
		local ProfNr = p.user:getLevel()
		txt3 = PortierLogout[ProfNr]
		hub:broadcast{ msg = "*** Der "..Prof.." "..usernick.." "..txt3.."", from = hub:getBot() }
	end
)

hub:debug( "*** Loaded HubPortier_0.1_LUA5_by_pulsar.lua" )

--[END]